@import url("https://fonts.googleapis.com/css?family=Kaushan+Script");

body {
    font-family: "Kaushan Script", cursive;
    background: #fff;
    color: #000;
}

/* global styles */

.btn-pink {
    background: transparent;
    color: #ef7998;
    border-color: #ef7998 !important;
}

.btn-pink:hover {
    color: #000;
    background: #ef7998;
}

.btn-black {
    color: #000;
    border-color: #000 !important;
}

.btn-black:hover,
.btn-black.active {
    color: #ef7998;
    background: #000;
}

/* nav links */
.navbar-toggler {
    outline: none !important;
}

.toggler-icon {
    font-size: 40px;
    font-size: 2.5rem;
    color: #ef7998;
}

.nav-link {
    color: #ef7998;
    -webkit-transition: all 0.5s ease-in-out;
    transition: all 0.5s ease-in-out;
    font-size: 24px;
    font-size: 1.5rem;
}

.nav-link:hover {
    color: #000;
}

.cart-info__icon {
    color:#000;
    cursor: pointer;
}

.cart-info {
    border: 1.6px solid #000;
    border: 0.1rem solid #000;
    color: #000;
    border-radius: 0.25rem;
    padding: 6.4px 9.6px;
    padding: 0.4rem 0.6rem;
    cursor: pointer;
}

.cart-info:hover {
    background-color: #ef7998;
    border-color: #ef7998;
    color: #fff;
}

.cart-info:hover .cart-info__icon{
    color: #fff;
}

/* banner */

.max-height {
    position: relative;
    min-height: calc(100vh - 76px);
    height: calc(100vh - 76px);
    background: -webkit-gradient(linear, left top, left bottom, from(rgba(249, 228, 148, .5)), to(rgba(249, 228, 148, .5))), url('../img/headerBcg.jpeg') center/cover fixed no-repeat;
    background: linear-gradient(rgba(249, 228, 148, .5), rgba(249, 228, 148, .5)), url('../img/headerBcg.jpeg') center/cover fixed no-repeat;
}

.banner {
    color: #fff;
    margin-top: -64px;
    margin-top: -4rem;
}

.banner-title {
    color: #ef7998
}

.banner-link {
    font-size: 24px;
    font-size: 1.5rem;
    color: #000;
    border: 3.2px solid #000;
    border: 0.2rem solid #000;
}

.banner-link:hover {
    color: #ef7998;
    background-color: #000;
}

/* about section */

.about-img__container {
    position: relative;
}

.about-img__container::before {
    content: '';
    position: absolute;
    top: -24px;
    top: -1.5rem;
    left: -27.2px;
    left: -1.7rem;
    width: 100%;
    height: 100%;
    outline: 8px solid rgb(249, 228, 148);
    outline: 0.5rem solid rgb(249, 228, 148);
    z-index: -1;
    -webkit-transition: all 0.5s linear;
    transition: all 0.5s linear;
}

.about-img__container:hover::before {
    top: 0px;
    top: 0rem;
    left: 0px;
    left: 0rem;
}

/* store */

.store {
    background: rgb(238, 238, 238);
}

.search-box {
    background: #ef7998;
    color: #000;
}

/* store item */

.single-item {
    -webkit-transition: all 0.3s linear;
    transition: all 0.3s linear;
}

.single-item:hover {
    -webkit-box-shadow: 0 10px 15px rgb(0, 0, 0);
    box-shadow: 0 10px 15px rgb(0, 0, 0);
}

.img-container {
    position: relative;
    overflow: hidden;
    cursor: pointer;
}

.store-img {
    -webkit-transition: all 1s ease-in-out;
    transition: all 1s ease-in-out;
}

.img-container:hover .store-img {
    -webkit-transform: scale(1.2);
    transform: scale(1.2);
}

.store-item-icon {
    position: absolute;
    bottom: 0;
    right: 0;
    padding: 11.52px;
    padding: 0.72rem;
    background: rgb(249, 228, 148);
    border-top-left-radius: 16px;
    border-top-left-radius: 1rem;
    -webkit-transition: all .5s ease-in-out;
    transition: all .5s ease-in-out;
    -webkit-transform: translate(100%, 100%);
    transform: translate(100%, 100%);
}

.img-container:hover .store-item-icon {
    -webkit-transform: translate(0, 0);
    transform: translate(0, 0);
}

.store-item-icon:hover {
    color: #fff;
}

.store

    /* service */

.services {
    color: #fff;
    background: -webkit-gradient(linear, left top, left bottom, from(rgba(0, 0, 0, .6)), to(rgba(0, 0, 0, .6))), url('../img/servicesBcg.jpeg') center/cover fixed no-repeat;
    background: linear-gradient(rgba(0, 0, 0, .6), rgba(0, 0, 0, .6)), url('../img/servicesBcg.jpeg') center/cover fixed no-repeat;
}

.service-title {
    letter-spacing: 8px;
    letter-spacing: 0.5rem;
}

.service-text {
    word-spacing: 8px;
    word-spacing: 0.5rem;
}

/* end of service */

/* footer */

.footer-title {
    background: #000;
}

.footer-contact {
    background: rgb(238, 238, 238);
}

.footer-icon {
    font-size: 24px;
    font-size: 1.5rem;
    color: #fff;
    -webkit-transition: all .4s ease-in-out;
    transition: all .4s ease-in-out;
}

.footer-icon:hover {
    color: #ef7998;
}

/* end of footer */

/* cart */

.cart {
    position: absolute;
    min-height: 160px;
    min-height: 10rem;
    background: rgba(255, 255, 255, .5);
    top: 0;
    right: 0;
    -webkit-transition: all .3s ease-in-out;
    transition: all .3s ease-in-out;
    width: 0;
    overflow: hidden;
}

.show-cart {
    width: 288px;
    width: 18rem;
    padding: 32px 24px;
    padding: 2rem 1.5rem;
    -webkit-transform: rotateY(-360deg);
    transform: rotateY(-360deg);

}

.cart-item-remove {
    color: #ef7998;
    -webkit-transition: all 1s ease-in-out;
    transition: all 1s ease-in-out;
}

.cart-item {
    -webkit-transition: all 2s ease-in-out;
    transition: all 2s ease-in-out;
}

.cart-item-remove:hover {
    -webkit-transform: scale(1.1);
    transform: scale(1.1);
    color: #000;
}

.cart-item-price {
    font-size: 12.8px;
    font-size: 0.8rem;

}

/* end of cart */